libafs: remove "Please install afsd with check server daemon" warning
authorMichael Meffie <mmeffie@sinenomine.net>
Fri, 14 Nov 2014 03:28:08 +0000 (22:28 -0500)
committerJeffrey Altman <jaltman@your-file-system.com>
Tue, 2 Dec 2014 22:49:10 +0000 (17:49 -0500)
commit8ce37d0d4aa4e6107f79efaf5027f31ea5a17604
tree79807c063d0f2b6c8afef634a4f9d9be2602704a
parent1e1f6e4e8f70b0994ba7fdfaeb9df926709b806b
libafs: remove "Please install afsd with check server daemon" warning

Apparently, ancient versions of afsd did not start the check server
daemon (AFSOP_START_CS). The afs_Daemon tries to detect when the check
server daemon is not running and issues a warning to upgrade afsd.  The
afs_Daemon waits for the cache initialization to complete (AFSOP_GO)
before detecting if the cache server daemon is started.

Unfortunately, when running with memcache, the cache initialization is
fast enough to race with the start of the check server daemon, and the
"Please install afsd with check server daemon" message is sometimes
printed to the syslog.

Since all modern versions of afsd do start the check server daemon, this
error message is no longer needed, so just remove the message and the
flag used to print it on only once.

Change-Id: If6a57ca0e6fb7e20a1e104c46416139cf5fe785a
Reviewed-on: http://gerrit.openafs.org/11602
Tested-by: BuildBot <buildbot@rampaginggeek.com>
Reviewed-by: Benjamin Kaduk <kaduk@mit.edu>
Reviewed-by: Jeffrey Altman <jaltman@your-file-system.com>
src/afs/afs_daemons.c